{
  lib,
  stdenv,
}:
stdenv.mkDerivation {
  pname = "cups-kyocera-fs1370d";
  version = "1.0.1";

  dontPatchELF = true;
  dontStrip = true;
  dontUnpack = true;

  src = ./Kyocera_FS-1370DN.ppd;

  installPhase = ''
    runHook preInstall

    mkdir -p $out/share/cups/model/Kyocera
    cp $src $out/share/cups/model/Kyocera

    runHook postInstall
  '';
}
